## nasm 0.98.28cvs

=== doc/Makefile ===
# Generated automatically from Makefile.in by configure.
# $Id: Makefile.in,v 1.1.1.1 2001/12/20 08:00:25 berk Exp $
#
# UNIX Makefile for NASM documentation
#

srcdir		= .
prefix		= /usr
exec_prefix	= ${prefix}
bindir		= ${exec_prefix}/bin
mandir		= ${prefix}/man
docdir		= $(prefix)/doc/nasm
infodir		= ${prefix}/info

INSTALL		= /usr/bin/ginstall -c
INSTALL_PROGRAM	= ${INSTALL}
INSTALL_DATA	= ${INSTALL} -m 644

PERL		= perl
MAKEINFO	= makeinfo

SRCS		= nasmdoc.src
OUT		= nasm.info

all: $(OUT)

os2: nasm.inf

.SUFFIXES: .src .texi .info .ps .rtf .hpj .dvi .ps .txt .pl .ipf .inf

# Consider html, txt and src output a side effect
.src.texi:
	mkdir -p html
	$(PERL) ./rdsrc.pl < $<
	mv -f *.html html

nasm.info: nasmdoc.texi
	mkdir -p info
	$(MAKEINFO) $<
	mv -f *.info *.info-* info

# Rules for building an OS/2 book
.texi.ipf:
	texi2ipf $< >$@

nasm.inf: nasmdoc.ipf
	ipfc -i -s $< $@

clean:
	-rm -f *.rtf *.hpj *.texi *.ph *.gid *.ipf

spotless: clean
	-rm -rf html info *.hlp *.txt *.ps *.inf

install: all
	$(INSTALL_DATA) info/* $(INSTALLROOT)$(infodir)
	mkdir -p $(INSTALLROOT)$(docdir)/html
	$(INSTALL_DATA) html/* $(INSTALLROOT)$(docdir)/html
	$(INSTALL_DATA) nasmdoc.ps nasmdoc.txt $(INSTALLROOT)$(docdir)
