## nasm 2.05.01-1maemo1

=== debian/changelog ===
nasm (2.05.01-1maemo1) diablo; urgency=low

  * Maemo4 backport

 -- Linux Eventually <oshazard@gmail.com>  Mon, 20 Dec 2010 01:46:44 -0800

nasm (2.05.01-1maemo1) fremantle; urgency=low

  * Packaged for Maemo Fremantle.

 -- Murray Cumming <murrayc@murrayc.com>  Wed, 29 Jul 2009 14:00:46 +0200

nasm (2.05.01-1) unstable; urgency=low

  * New upstream 
  * Refresh 01-doc-Makefile.in.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 01 Nov 2008 16:55:12 +1100

nasm (2.03.01-1) unstable; urgency=low

  * New upstream
    doc/nasmdoc.rtf is not shipped
  * Standards version is 3.8.0
  * Fix CVE-2008-2719 
    Off-by-one error in the ppscan function (preproc.c)
    closes: #486715
  * Doc-base section is Programming

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 17 Jun 2008 22:47:55 +1000

nasm (2.02-1) unstable; urgency=low

  * New upstream
  * Added debian/watch file
  * Updated debian/copyright

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 29 Feb 2008 20:01:54 +1100

nasm (2.01-1) unstable; urgency=low

  * New upstream. Closes: #461201
  * debian/control
    - Bumped Standards-Version to 3.7.3
    - Added homepage header
  * Removed debian/patches/04-FreeBSD-ELF-header.patch
    - Bug#450935 was resolved upstream. See
      http://sourceware.org/bugzilla/show_bug.cgi?id=4424

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 22 Jan 2008 20:24:58 +1100

nasm (0.99.06-2) unstable; urgency=low

  * Fixed FreeBSD ELF header, closes: #450935
    Patch by Petr Salinger <Petr.Salinger@seznam.cz>

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 13 Nov 2007 18:20:50 +1100

nasm (0.99.06-1) unstable; urgency=low

  * New upstream release.
  * Build-depends on quilt.
  * Updated debian/copyright.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 03 Nov 2007 21:37:15 +1100

nasm (0.99.05-1) unstable; urgency=low

  * New upstream release.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 22 Oct 2007 23:15:29 +1000

nasm (0.99.04-1) unstable; urgency=low

  * New upstream release.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 11 Oct 2007 08:42:16 +1000

nasm (0.99.02-1) unstable; urgency=low

  * New upstream release.
    Fixed "nasm build errors: invalid operands in non-64-bit mode",
    Closes: #441383

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 10 Sep 2007 09:28:58 +1000

nasm (0.99.01-1) unstable; urgency=low

  * debian/control Build-Depends: removed gs-common.
    Please see #428876 and #435229.
  * Fixed the following lintian messages:
    - W: nasm: extra-license-file usr/share/doc/nasm/COPYING.gz

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 21 Aug 2007 22:40:37 +1000

nasm (0.99.01-0) unstable; urgency=low

  * New upstream release. Closes: #319344.
  * New maintainer. Closes: #438649.
  * Ack NMUs. Closes: #285889, #309049.
  * Fixed "FTBFS if built twice in a row". Closes: #424593.
    Patch by Joachim Reichel <joachim.reichel@gmx.de>.
  * debian/control: added Homepage.
  * Fixed the following lintian messages:
    - W: nasm source: debian-rules-sets-DH_COMPAT line 3
    - W: nasm source: package-uses-deprecated-debhelper-compat-version 3
    - W: nasm source: ancient-standards-version 3.5.6 (current is 3.7.2)

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 19 Aug 2007 10:10:42 +1000

nasm (0.98.38-1.2) unstable; urgency=HIGH

  * NMU
  * Patch from Moritz Muehlenhoff to avoid a buffer overflow in the outieee
    code. Closes: #309049 (CAN-2005-1194)

 -- Joey Hess <joeyh@debian.org>  Tue, 17 May 2005 21:56:06 -0400

nasm (0.98.38-1.1) unstable; urgency=HIGH

  * NMU
  * Fix buffer overflow in error message handling. (CAN-2004-1287)
    Closes: #285889

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Dec 2004 14:45:47 -0500

nasm (0.98.38-1) unstable; urgency=low

  * New upstream release

 -- Christian Kesselheim <ckesselh@infeurope.lu>  Mon,  5 Apr 2004 23:20:39 +0200

nasm (0.98.34-1) unstable; urgency=low

  * New upstream release 

 -- Christian Kesselheim <ckesselh@debian.org>  Fri, 12 Jul 2002 15:18:52 +0200

nasm (0.98.33-2) unstable; urgency=low

  * Build dependencies fixed; gs-common added (closes: #149276) 

 -- Christian Kesselheim <ckesselh@debian.org>  Sun,  9 Jun 2002 18:56:21 +0200

nasm (0.98.33-1) unstable; urgency=low

  * New upstream release 

 -- Christian Kesselheim <ckesselh@debian.org>  Thu,  6 Jun 2002 13:25:11 +0200

nasm (0.98.30-1) unstable; urgency=low

  * New upstream release (closes: #144394) 

 -- Christian Kesselheim <ckesselh@debian.org>  Thu,  9 May 2002 00:18:02 +0200

nasm (0.98.28cvs-1) unstable; urgency=high

  * The "I took the wrong CVS tag last time" release; my assumption, that
    0.98bf would represent the stable branch was a misunderstanding. It's
    just a (quite old) stable release (without P4 support), instead
    (closes: #143814, #136525)
  * Should build on hppa, again (closes: #143373)
  * License changed from GPL to LGPL

 -- Christian Kesselheim <ckesselh@debian.org>  Mon, 22 Apr 2002 11:19:59 +0200

nasm (0.98.28bf-1) unstable; urgency=high

  * New maintainer
  * New upstream release; switched back to the bugfixed ("bf") branch
    (closes: #136263)
  * ndisasm segfaults no longer on "damn near any file" (closes: #128498)
  * Broken macros fixed (closes: #132755)
  * The "org" directive is no longer case sensitive :-) (closes: #122295)
  * Nasm should not generate wrong addresses in some .text situations
    any more (closes: #136525)

 -- Christian Kesselheim <ckesselh@debian.org>  Wed, 17 Apr 2002 12:28:43 +0200

nasm (0.98.08-2) unstable; urgency=low

  * Set maintainer to QA.

 -- Ivo Timmermans <ivo@debian.org>  Thu, 11 Apr 2002 20:32:48 +0200

nasm (0.98.08-1) unstable; urgency=low

  * New upstream release.

 -- Ivo Timmermans <ivo@debian.org>  Tue, 20 Nov 2001 15:12:43 +0100

nasm (0.98-5) unstable; urgency=low

  * New maintainer. (Closes: #116548)

 -- Ivo Timmermans <ivo@debian.org>  Mon, 22 Oct 2001 16:21:29 +0200


