=== debian/control ===
Source: nasm
Section: devel
Priority: optional
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Standards-Version: 3.8.0
Build-Depends: debhelper (>= 5), texinfo, quilt
Homepage: http://nasm.sourceforge.net/

Package: nasm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: General-purpose x86 assembler
 Netwide Assembler.  NASM will currently output flat-form binary files,
 a.out, COFF and ELF Unix object files, and Microsoft 16-bit DOS and
 Win32 object files.
 .
 Also included is NDISASM, a prototype x86 binary-file disassembler
 which uses the same instruction table as NASM.
 .
 NASM is released under the GNU Lesser General Public License (LGPL).
