=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/quilt/quilt.make

export CFLAGS := -O2
ifneq ($(findstring debug,$(DEB_BUILD_OPTIONS)),)
CFLAGS += -g
endif

clean: unpatch
	dh_testdir
	dh_testroot
	dh_clean build.stamp
	mv config.h.in .config.h.in
	[ ! -f Makefile ] || $(MAKE) distclean
	mv .config.h.in config.h.in
	[ ! -f doc/Makefile ] || $(MAKE) -C doc spotless
	rm -f `find -name Makefile`

build: patch build.stamp
build.stamp:
	dh_testdir
	./configure --prefix=/usr --mandir=/usr/share/man
	$(MAKE) all doc
	> $@

binary: binary-arch binary-indep

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs usr/bin usr/share/man/man1
	$(MAKE) INSTALLROOT=$(CURDIR)/debian/nasm install install_rdf
#	dh_installdocs AUTHORS README TODO doc/html doc/nasmdoc.txt doc/nasmdoc.ps doc/nasmdoc.pdf
	dh_installdocs AUTHORS README TODO doc/html doc/nasmdoc.txt doc/nasmdoc.ps
	dh_installexamples misc/nasm.sl test/*
	dh_installman debian/*.1
	dh_installinfo doc/info/*
	dh_installchangelogs CHANGES
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build

.PHONY: clean build binary binary-arch binary-indep
