=== debian/watch ===
version=3
http://sf.net/nasm/ nasm-([\d\.]+).tar.gz
