## nasm 2.08.01

=== debian/changelog ===
nasm (2.08.01-1) unstable; urgency=low

  * New upstream 
  * Source/format is 3.0 (quilt)
  * Update debian/watch
  * Fix out-of-date-standards-version
  * Fix missing-dependency-on-install-info
  * Fix install-info-used-in-maintainer-script

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 02 Jun 2010 21:39:58 +1000

nasm (2.07-1) unstable; urgency=low

  * New upstream 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 29 Jul 2009 17:34:26 +1000

nasm (2.06-1) unstable; urgency=low

  * New upstream 
  * Fix out-of-date-standards-version
  * Fix copyright-refers-to-symlink-license
  * DH compatibility level is 7

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 12 Jul 2009 22:10:05 +1000
