=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Standards-Version: 3.8.0
-Build-Depends: debhelper (>= 5), texinfo, quilt
+Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), texinfo
 Homepage: http://nasm.sourceforge.net/
 
 Package: nasm
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
 Description: General-purpose x86 assembler
  Netwide Assembler.  NASM will currently output flat-form binary files,
  a.out, COFF and ELF Unix object files, and Microsoft 16-bit DOS and
