=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,11 @@
 #! /usr/bin/make -f
-
-include /usr/share/quilt/quilt.make
 
 export CFLAGS := -O2
 ifneq ($(findstring debug,$(DEB_BUILD_OPTIONS)),)
 CFLAGS += -g
 endif
 
-clean: unpatch
+clean:
 	dh_testdir
 	dh_testroot
 	dh_clean build.stamp
@@ -17,7 +15,7 @@
 	[ ! -f doc/Makefile ] || $(MAKE) -C doc spotless
 	rm -f `find -name Makefile`
 
-build: patch build.stamp
+build: build.stamp
 build.stamp:
 	dh_testdir
 	./configure --prefix=/usr --mandir=/usr/share/man
