## nasm 2.09.04

=== debian/changelog ===
nasm (2.09.04-1) unstable; urgency=low

  * New upstream 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 26 Nov 2010 18:01:10 +1100

nasm (2.09.02-1) unstable; urgency=low

  * New upstream 
  * Pass parameters -Zbzip2 and -z9 to dpkg-deb via dh_builddeb

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 15 Oct 2010 15:27:55 +1100

nasm (2.09.01-1) unstable; urgency=low

  * New upstream 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 10 Sep 2010 20:24:27 +1000

nasm (2.09-1) unstable; urgency=low

  * New upstream 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 04 Sep 2010 21:39:13 +1000

nasm (2.08.02-1) unstable; urgency=low

  * New upstream 
    Closes: 589530
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 24 Aug 2010 17:42:49 +1000
