=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
-	dh_builddeb
+	dh_builddeb -- -Zbzip2 -z9
 
 binary-indep: build
