## nasm 2.09.08

=== debian/changelog ===
nasm (2.09.08-1) unstable; urgency=low

  * New upstream
  * Debian policy version is 3.9.2

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 13 Apr 2011 15:06:34 +1000

nasm (2.09.07-1) unstable; urgency=low

  * New upstream

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 23 Mar 2011 17:47:41 +1100

nasm (2.09.06-1) unstable; urgency=low

  * New upstream 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 09 Mar 2011 21:26:17 +1100
