## nasm 2.09.10

=== debian/changelog ===
nasm (2.09.10-1) unstable; urgency=low

  * New upstream version 2.09.10
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 29 Aug 2011 12:41:12 +1000
