=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,10 @@
 	[ ! -f doc/Makefile ] || $(MAKE) -C doc spotless
 	rm -f `find -name Makefile`
 
-build: build.stamp
-build.stamp:
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp:
 	dh_testdir
 	./configure --prefix=/usr --mandir=/usr/share/man
 	$(MAKE) all doc
