## nasm 2.10.01

=== doc/Makefile ===
--- 
+++ 
@@ -19,10 +19,15 @@
 PERL		= perl
 MAKEINFO	= makeinfo
 TEXI2DVI        = texi2dvi
-PS2PDF          = ps2pdf -dOptimize=true	# Part of GhostScript
+TEXI2IPF	= texi2ipf
+IPFC		= ipfc
 
-SRCS		= nasmdoc.src
-OUT		= nasm.info nasmdoc.ps nasmdoc.pdf
+ACRODIST	= false		# Acrobat Distiller
+PSTOPDF		= false		# BSD/MacOS X utility
+PS2PDF          = ps2pdf		# Part of GhostScript
+
+SRCS		= nasmdoc.src inslist.src changes.src
+OUT		= info html nasmdoc.txt nasmdoc.ps nasmdoc.pdf
 
 # exports
 export srcdir
@@ -32,23 +37,37 @@
 
 os2: nasm.inf
 
-# Consider html, txt and ps output a side effect
-nasmdoc.dip: nasmdoc.src rdsrc.pl
+inslist.src: inslist.pl ../insns.dat
+	$(PERL) $(srcdir)/inslist.pl
+
+.PHONY: html
+html: html/nasmdoc0.html
+
+html/nasmdoc0.html: $(SRCS) rdsrc.pl
 	mkdir -p html
-	$(PERL) $(srcdir)/rdsrc.pl < $<
+	$(PERL) $(srcdir)/rdsrc.pl html < $<
 	mv -f *.html html
 
-nasmdoc.texi: nasmdoc.dip
-	: Generated by side effect
+nasmdoc.dip: $(SRCS) rdsrc.pl
+	$(PERL) $(srcdir)/rdsrc.pl dip < $<
+
+nasmdoc.texi: $(SRCS) rdsrc.pl
+	$(PERL) $(srcdir)/rdsrc.pl texi < $<
+
+nasmdoc.txt: $(SRCS) rdsrc.pl
+	$(PERL) $(srcdir)/rdsrc.pl txt < $<
 
 nasmdoc.ps: nasmdoc.dip nasmlogo.eps $(srcdir)/../version genpsdriver.pl \
 	    genps.pl psfonts.ph pswidth.ph head.ps
 	$(PERL) $(srcdir)/genpsdriver.pl > nasmdoc.ps
 
 nasmdoc.pdf: nasmdoc.ps
-	$(PS2PDF) nasmdoc.ps
+	$(ACRODIST) -n -q --nosecurity -o $@ $< || \
+	$(PS2PDF) $< $@ || \
+	$(PSTOPDF) $< -o $@ 
 
-nasm.info: info/nasm.info
+.PHONY: info
+info: info/nasm.info
 
 info/nasm.info: nasmdoc.texi
 	mkdir -p info
@@ -61,21 +80,23 @@
 
 # Rules for building an OS/2 book
 nasmdoc.ipf: nasmdoc.texi
-	texi2ipf $< >$@
+	$(TEXI2IPF) $< >$@
 
 nasm.inf: nasmdoc.ipf
-	ipfc -i -s $< $@
+	$(IPFC) -i -s $< $@
 
 clean:
 	-rm -f *.rtf *.hpj *.texi *.gid *.ipf *.dip
 	-rm -f *.aux *.cp *.fn *.ky *.pg *.log *.toc *.tp *.vr
+	-rm -f inslist.src
 
 spotless: clean
 	-rm -rf html info
-	-rm -f *.hlp *.txt *.inf *.pdf *.dvi
+	-rm -f *.hlp nasmdoc.txt *.inf *.pdf *.dvi
 	-rm -f nasmdoc*.ps
 
 install: all
+	mkdir -p $(INSTALLROOT)$(infodir)
 	$(INSTALL_DATA) info/* $(INSTALLROOT)$(infodir)
 	mkdir -p $(INSTALLROOT)$(docdir)/html
 	$(INSTALL_DATA) html/* $(INSTALLROOT)$(docdir)/html
