=== debian/changelog ===
nasm (2.10.01-1+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2017-10686
    In Netwide Assembler (NASM) 2.14rc0, there are multiple heap use 
    after free vulnerabilities in the tool nasm. The related heap is 
    allocated in the token() function and freed in the detoken() 
    function (called by pp_getline()) - it is used again at multiple 
    positions later that could cause multiple damages. For example, 
    it causes a corrupted double-linked list in detoken(), a double 
    free or corruption in delete_Token(), and an out-of-bounds write 
    in detoken(). It has a high possibility to lead to a remote code 
    execution attack.
  * CVE-2017-11111
    In Netwide Assembler (NASM) 2.14rc0, preproc.c allows remote 
    attackers to cause a denial of service (heap-based buffer 
    overflow and application crash) or possibly have unspecified 
    other impact via a crafted file.
 
 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 26 Jul 2016 19:03:02 +0200

nasm (2.10.01-1) unstable; urgency=low

  * New upstream version 2.10.01
  * Enable hardened build flags
  * DH compatibility level is 9

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 14 Jun 2012 11:13:09 +1000

nasm (2.10-1) unstable; urgency=low

  * New upstream version 2.10
  * Ship nasmdoc.pdf
    Closes: 439434
  * Fix out-of-date-standards-version
  * Fix spelling-error-in-doc-base-abstract-field

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 12 Apr 2012 08:00:57 +1000
