=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7), texinfo
+Standards-Version: 3.9.3
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), texinfo, ghostscript
 Homepage: http://nasm.sourceforge.net/
 
 Package: nasm
