=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #! /usr/bin/make -f
 
-export CFLAGS := -O2
+#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+CFLAGS += -O2
 ifneq ($(findstring debug,$(DEB_BUILD_OPTIONS)),)
 CFLAGS += -g
 endif
@@ -32,8 +36,7 @@
 	dh_clean
 	dh_installdirs usr/bin usr/share/man/man1
 	$(MAKE) INSTALLROOT=$(CURDIR)/debian/nasm install install_rdf
-#	dh_installdocs AUTHORS README TODO doc/html doc/nasmdoc.txt doc/nasmdoc.ps doc/nasmdoc.pdf
-	dh_installdocs AUTHORS README TODO doc/html doc/nasmdoc.txt doc/nasmdoc.ps
+	dh_installdocs AUTHORS README TODO doc/html doc/nasmdoc.txt doc/nasmdoc.ps doc/nasmdoc.pdf
 	dh_installexamples misc/nasm.sl test/*
 	dh_installman debian/*.1
 	dh_installinfo doc/info/*
