## nasm 2.10.07

=== debian/changelog ===
nasm (2.10.07-1) unstable; urgency=low

  * New upstream version 2.10.07
  * Debian policy version is 3.9.4
  * debian/rules: pass CPPFLAGS through CFLAGS
    Patch by Simon Ruderich
    Closes: #681490

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 25 May 2013 12:37:46 +1000
