## nasm 2.10.09

=== debian/changelog ===
nasm (2.10.09-1) unstable; urgency=low

  * New upstream version 2.10.09
  * Debian policy version is 3.9.5
  * Update debian/watch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 29 Dec 2013 13:46:31 +1100
