=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), texinfo, ghostscript
 Homepage: http://nasm.sourceforge.net/
