## nasm 2.11

=== debian/changelog ===
nasm (2.11-1) unstable; urgency=medium

  * New upstream version 2.11 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 16 Feb 2014 12:50:55 +1100
