## nasm 2.11.06-1really2.11.05

=== debian/changelog ===
nasm (2.11.06-1really2.11.05-1) unstable; urgency=low

  * Upload 2.11.05-1 to unstable.
    2.11.06-1 in unstable makes syslinux FTBFS.
    Closes: #769160.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 12 Nov 2014 10:42:57 +0000

nasm (2.11.06-1) unstable; urgency=medium

  * Debian policy version is 3.9.6.
  * New upstream version 2.11.06.
  * Refresh patches.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 05 Nov 2014 23:51:52 +0000
