=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: nasm
 Section: devel
 Priority: optional
-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Standards-Version: 3.9.5
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), texinfo, ghostscript
-Homepage: http://nasm.sourceforge.net/
+Homepage: http://www.nasm.us/
 
 Package: nasm
 Architecture: any
