=== debian/watch ===
version=3
#http://www.nasm.us/pub/nasm/releasebuilds/2.08.01/nasm-2.08.01.tar.bz2
http://www.nasm.us/pub/nasm/releasebuilds/([\d\.]+)/nasm-([\d\.]+).tar.xz
