## nasm 2.12.01

=== debian/changelog ===
nasm (2.12.01-1) unstable; urgency=low

  * New upstream version 2.12.01
  * Fix ancient-standards-version 3.9.5 (current is 3.9.7)

 -- Jordan Justen <jljusten@gmail.com>  Mon, 25 Apr 2016 11:25:17 -0700
