=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: nasm
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Standards-Version: 3.9.5
+Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Uploaders: Jordan Justen <jljusten@gmail.com>
+Standards-Version: 3.9.7
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), texinfo, ghostscript
 Homepage: http://www.nasm.us/
