## nasm 2.12.02

=== debian/changelog ===
nasm (2.12.02-1) experimental; urgency=low

  * New upstream version 2.12.02

 -- Jordan Justen <jljusten@gmail.com>  Mon, 30 Jan 2017 01:15:41 -0800
