=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Jordan Justen <jljusten@gmail.com>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), texinfo, ghostscript
 Homepage: http://www.nasm.us/
