=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,9 @@
 	dh_testdir
 	dh_testroot
 	dh_clean build.stamp
-	mv config.h.in .config.h.in
+	-mv config.h.in .config.h.in
 	[ ! -f Makefile ] || $(MAKE) distclean
-	mv .config.h.in config.h.in
+	-mv .config.h.in config.h.in
 	[ ! -f doc/Makefile ] || $(MAKE) -C doc spotless
 	rm -f `find -name Makefile`
 
@@ -51,7 +51,7 @@
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
-	dh_builddeb -- -Zbzip2 -z9
+	dh_builddeb
 
 binary-indep: build
