## nasm 2.13.01

=== debian/changelog ===
nasm (2.13.01-2ubuntu0.1) artful-security; urgency=medium

  * SECURITY UPDATE: code execution via heap use-after-free
    - debian/patches/CVE-2017-10686-1.patch: don't call free_mmacro in
      asm/preproc.c.
    - debian/patches/CVE-2017-10686-2.patch: free token's text if only it
      has been modified in asm/preproc.c.
    - CVE-2017-10686
  * SECURITY UPDATE: heap buffer overflow
    - debian/patches/CVE-2017-11111.patch: only concat tok->text if we
      accounted for its size in asm/preproc.c.
    - CVE-2017-11111
  * SECURITY UPDATE: NULL pointer dereference in paste_tokens
    - debian/patches/CVE-2017-14228.patch: check length in asm/preproc.c.
    - CVE-2017-14228
  * SECURITY UPDATE: DoS via macro calls with wrong number of arguments
    - debian/patches/CVE-2017-17810.patch: check arguments in
      asm/preproc.c.
    - CVE-2017-17810
  * SECURITY UPDATE: DoS via heap over-read
    - debian/patches/CVE-2017-17812.patch: check for data to process in
      asm/preproc.c.
    - CVE-2017-17812
  * SECURITY UPDATE: DoS via missing check
    - debian/patches/CVE-2017-17815.patch: don't leave nparam_max less than
      nparam_min in asm/preproc.c.
    - CVE-2017-17815
  * SECURITY UPDATE: DoS via incorrect validation
    - debian/patches/CVE-2017-17819.patch: check for NULL pointer in
      asm/preproc.c.
    - CVE-2017-17819
  * SECURITY UPDATE: heap-based overread
    - debian/patches/CVE-2018-8881.patch: handle unterminated strings in
      asm/preproc.c.
    - CVE-2018-8881
  * The above patches also fix the following CVEs:
    - CVE-2017-17811
    - CVE-2017-17813
    - CVE-2017-17814
    - CVE-2017-17816
    - CVE-2017-17817
    - CVE-2017-17818
    - CVE-2017-17820

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 28 Jun 2018 07:53:17 -0400

nasm (2.13.01-2) unstable; urgency=medium

  [ Raymond Nicholson ]
  * sort 'keys' for reproducibility (doc/genps.pl), Closes: #820194

  [ Gianfranco Costamagna ]
  * Switch to new dh calls
  * Switch to compat level 10
  * Add font-config to build-dependencies, fixing an error during build.

 -- Jordan Justen <jordan.l.justen@intel.com>  Thu, 18 May 2017 23:02:49 -0700

nasm (2.13.01-1) experimental; urgency=low

  * New upstream version 2.13.01
  * Update debian patches for 2.13.01 release
  * Run wrap-and-sort
  * Add libfont-ttf-perl build dependency
  * Add libsort-versions-perl build dependency
  * Add fonts-liberation2 build dependency
  * Add patches to use liberation fonts
  * Change my email address
  * Don't install info docs since nasm no longer supports them

 -- Jordan Justen <jordan.l.justen@intel.com>  Mon, 08 May 2017 09:33:23 -0700
