=== debian/changelog ===
nasm (2.13.02-0.1~mx15+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 17 Jan 2018 17:01:20 -0800

nasm (2.13.02-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
    - Addresses CVE-2017-14228. Closes: #874731.
    - Addresses CVE-2017-11111 CVE-2017-10686. Closes: #867988.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Dec 2017 08:31:54 +0100
