=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: nasm
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders:
  Jordan Justen <jordan.l.justen@intel.com>,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Build-Depends:
  debhelper (>= 10),
  dpkg-dev (>= 1.16.1~),
