=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: nasm
 Section: devel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders:
  Jordan Justen <jordan.l.justen@intel.com>,
-Standards-Version: 4.1.2
+Standards-Version: 4.2.0
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dpkg-dev (>= 1.16.1~),
  fonts-liberation2,
  fontconfig,
@@ -17,6 +15,8 @@
  libsort-versions-perl,
  texinfo,
 Homepage: http://www.nasm.us/
+Vcs-Git: https://salsa.debian.org/debian/nasm.git
+Vcs-Browser: https://salsa.debian.org/debian/nasm
 
 Package: nasm
 Architecture: any
