=== debian/changelog ===
nasm (2.14-1) unstable; urgency=medium

  * d/patches: Rebase patches for 2.14
  * d/control: Upgrade standards-version to 4.2.1

 -- Jordan Justen <jordan.l.justen@intel.com>  Sat, 17 Nov 2018 22:22:52 -0800
