=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders:
  Jordan Justen <jordan.l.justen@intel.com>,
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Build-Depends:
  debhelper (>= 11),
  dpkg-dev (>= 1.16.1~),
