## nasm 2.14.02

=== debian/changelog ===
nasm (2.14.02-1) unstable; urgency=medium

  * New upstream release
  * d/control: Update standards version to 4.4.0
  * debian: Increase debhelper to 12

 -- Jordan Justen <jordan.l.justen@intel.com>  Fri, 19 Jul 2019 02:09:30 -0700
