=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders:
  Jordan Justen <jordan.l.justen@intel.com>,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12),
  dpkg-dev (>= 1.16.1~),
  fonts-liberation2,
  fontconfig,
